%define archivever 1_2_1

Name: axis
Version: 1.2.1
Release: alt1
Summary: A SOAP implementation in Java
License: Apache Software License
Group: Development/Java
Url: http://ws.apache.org/axis/
Source0: %name-src-%archivever.tar.bz2

BuildArch: noarch

BuildPreReq: /proc rpm-build-java
BuildRequires: j2se-devel ant wsdl4j jakarta-commons-logging jakarta-commons-discovery jaxp_parser_impl
BuildRequires: log4j jaf javamail jakarta-commons-httpclient junit servletapi5 jakarta-regexp
# optional requires
#BuildRequires: servlet oro junit jimi jsse httpunit jms castor
#BuildRequires: xml-security

Requires: java-common wsdl4j jakarta-commons-logging jakarta-commons-discovery log4j jaf javamail


%description
Apache AXIS is an implementation of the SOAP ("Simple Object Access Protocol")
submission to W3C.

From the draft W3C specification:

SOAP is a lightweight protocol for exchange of information in a decentralized,
distributed environment. It is an XML based protocol that consists of three
parts: an envelope that defines a framework for describing what is in a message
and how to process it, a set of encoding rules for expressing instances of
application-defined datatypes, and a convention for representing remote
procedure calls and responses.

This project is a follow-on to the Apache SOAP project.

%package javadoc
Summary: Javadoc for %name
Group: Development/Documentation
Requires: java-common

%description javadoc
Javadoc for %name.

%package manual
Summary: Manual for %name
Group: Documentation

%description manual
Documentation for %name.

%prep
%setup -q -n %name-%archivever
# Remove provided binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

# Remove apidocs from manual. Correct link to apiDocs
%__rm -rf docs/apiDocs
%__subst "s|apiDocs|../../javadoc/%name|" docs/index.html

%build
%set_classpath %_javadir/wsdl4j.jar
%add_classpath %_javadir/jakarta-commons-httpclient.jar
%add_classpath %_javadir/jakarta-commons-discovery.jar
%add_classpath %_javadir/servletapi5.jar
%add_classpath %_javadir/jakarta-regexp.jar

%ant_build \
	 -Dcompile.time=true \
	-Dservlet.jar=%_javadir/servletapi5.jar \
	-Dwsdl4j.jar=%_javadir/wsdl4j.jar \
	-Dcommons-logging.jar=%_javadir/jakarta-commons-logging.jar \
	-Dcommons-discovery.jar=%_javadir/jakarta-commons-discovery.jar \
	-Dlog4j-core.jar=%_javadir/log4j.jar \
	-Dactivation.jar=%_javadir/activation.jar \
	-Dmailapi.jar=%_javadir/javamail/mailapi.jar \
	-Dxerces.jar=%_javadir/jaxp_parser_impl.jar \
	-Djunit.jar=%_javadir/junit.jar \
	-Dcommons-httpclient.jar=%_javadir/jakarta-commons-httpclient.jar \
	-Dregexp.jar=%_javadir/jakarta-regexp.jar \
	clean compile javadocs

%install
### Jar files

install -d -m 755 %buildroot%_javadir/%name

pushd build/lib
   install -m 644 axis.jar axis-ant.jar saaj.jar jaxrpc.jar \
           %buildroot%_javadir/%name
popd

### Javadoc

install -d -m 755 %buildroot%_javadocdir/%name
cp -pr build/javadocs/* %buildroot%_javadocdir/%name

%files
%doc LICENSE README release-notes.html changelog.html
%dir %_javadir/%name
%_javadir/%name/*.jar

%files javadoc
%doc %_javadocdir/%name/*

%files manual
%doc docs/*

%changelog
* Mon Jul 04 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt1
- 1.2.1
- changed dependency: jakarta-oro -> jakarta-regexp
- changed rpmgroup of packages with documentation

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt0.2
- rpm-build-java macroces
- version from cvs 20050327

* Tue Sep 21 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt0.1.beta3
- 1.2beta3
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de>  0:1.1-3jpp
- Build with ant-1.6.2

* Thu Jun 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>  0:1.1-2jpp
- fix javadoc versionning

* Thu Jun 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>  0:1.1-1jpp
- Initial packaging
- no xml security for now since xml-security is not packaged yet
- functional tests not executed yet - seems they need some setup and do not
  run out of the box
- no webapp right now - file layout is too messy if hidden into a war file
  since jpp installs webapps expanded, this matters
